part of CoreView;

/**
 * Does support aync rendering;
 * Doesn't support content pulling;
 * Doesn't support data pulling;
 */
class UrlView extends StaticView with Resource {
  String _contentUrl;
  String _scope;
  
  UrlView(String contentUrl) {
    this._contentUrl = contentUrl;
  }
  
  String  get request async => await HttpRequest.getString(this._contentUrl);       
  
  void  setScope(String selector) { this._scope = selector; }
  String  getScope() => this._scope;
  
  Future<String> render() async {
    return await HttpRequest.getString(this._contentUrl);
  }
}